****** Written by Marius Hagen and André Anundsen
****** The code generates coordinates for Bydels-polygons based on coordinates for zip-code polygons. 
clear all
cd "$dataPath"
set maxvar 32000

** Adding "bydel" identifiers to coordinates and deleting some zip codes before boundaries are collaped
use koordinater_postnr, clear
g poly_ = _ID
merge m:1 poly_ using postnr
drop _merge 
gen obs = _n
keep if komm == 301
gen not_in = 0
replace not_in =1 if postnr == 891 | postnr == 758 | postnr == 890 |  postnr ==  496 | postnr == 287 | postnr == 286 | postnr ==  150 | postnr ==  198 | postnr ==  1169 | postnr ==  1250 | postnr ==  1279 | postnr ==  1263 | postnr ==  693 | postnr ==  689 | postnr ==  1051 
keep if not_in  == 0
sort _ID obs
save koord_postnr, replace

** Open zip-code identifier data set
use postnr, clear
**Make sure it includes the same zip codes as the dataset with coordinates
keep if komm == 301
gen not_in = 0
replace not_in =1 if postnr == 891 | postnr == 758 | postnr == 890 |  postnr ==  496 | postnr == 287 | postnr == 286 | postnr ==  150 | postnr ==  198 | postnr ==  1169 | postnr ==  1250 | postnr ==  1279 | postnr ==  1263 | postnr ==  693 | postnr ==  689 | postnr ==  1051 
keep if not_in  == 0
ren poly_ _ID
**Collapse borders at "bydel" level
mergepoly using "koord_postnr.dta", by(bydelnr) coor("koord_bydel.dta") replace
