****** Written by Marius Hagen and André Anundsen
** Generating dataset used in the regression analysis
** Truncate the data 

clear all
cd "$dataPath"
set maxvar 32000
use data_construtced_w_metro_dist, clear

g contract_start_quarter_year = yq(contract_start_year, contract_start_quarter)
sort contract_start_quarter_year
format contract_start_quarter_year %tq

** Identifying percentiles of some variables in every quarter
foreach var in rent size {
foreach i in 1 99 {
by contract_start_quarter_year : egen p`i'_`var' = pctile(`var'), p(`i')
}
}

** Truncating on percentiles
drop if rent < p1_rent | rent > p99_rent | size < p1_size | size > p99_size
drop p1* p99*

save data_construtced_w_metro_dist_trunc, replace
