****** Written by Marius Hagen and André Anundsen
****** The code draw maps for the (full sample) variation in some variables across different geographical segments of the Oslo market
clear all
cd "$dataPath"
set maxvar 32000
use data_construtced, clear
ren zip_code postnr

** Adding identifiers on what part of the town (bydel) we are considering
merge m:1 postnr using Postnummer_info
drop _merge 
sort bydelnr 
drop if bydel == "Marka"
drop bydelnr 

	g bydel2 = bydel
	replace bydel2 = "Grünerløkka" if bydel == "Sagene"
	replace bydel2 = "Stovner" if bydel == "Grorud"
	replace bydel2 = "Stovner" if bydel == "Alna"
	replace bydel2 = "Grünerløkka og Sagene" if bydel2 == "Grünerløkka"
	replace bydel2 = "Grorud, Stovner og Alna" if bydel2 == "Stovner"
	egen bydelnr2 = group(bydel2)
	replace bydelnr = bydelnr2 
	replace bydel = bydel2

local vars rent 
forvalues i = 1/13 {
preserve
keep if bydelnr == `i'
tempname postMeans
tempfile means

postfile `postMeans' ///
str100 District Mean_2004 Mean_2006 Mean_2008 Mean_2010 Mean_2012 Mean_2014 Mean_2016 Mean_2018 using `means', replace
   
    foreach v of local vars{
	local name = bydel
    forvalues k =2004(2)2018 {
    summarize `v' if contract_start_year == `k', detail
    local mean_`k' = r(mean)
}
    post `postMeans'  ("`name'") (`mean_2004') (`mean_2006') (`mean_2008') (`mean_2010') (`mean_2012') (`mean_2014') (`mean_2016') (`mean_2018') 
}
postclose `postMeans'
use `means', clear
save stats_bydel_`i', replace
restore
}

use stats_bydel_1, clear
forvalues j= 2/13 {
append using stats_bydel_`j'
}

format Mean*  %9.3gc
list
cd "$outputTables"
listtab * using "Table_bydeler.tex", delim(&) rstyle(tabular)  replace
	



