****** Written by Marius Hagen and André Anundsen
****** The code plots hedonic indices (normalized to be 1 in 2005q1) for different geographical segments of the Oslo market
cd "$dataPath"
clear all
use MeanMedian
merge 1:1 contract_start_quarter_year using hedonic
drop _merge 

foreach var in all ab fs_u_ab u_ab vest ost {
sum  ma_mean_rent_`var' if contract_start_quarter_year == 180, meanonly
scalar norm_mean_`var' = r(mean)
g ma_mean_rent_`var'_norm = ma_mean_rent_`var'/norm_mean_`var'

sum  ma_median_rent_`var' if contract_start_quarter_year == 180, meanonly
scalar norm_median_`var' = r(mean)
g ma_median_rent_`var'_norm = ma_median_rent_`var'/norm_median_`var'

sum  ma_rent_index_`var' if contract_start_quarter_year == 180, meanonly
scalar norm_index_`var' = r(mean)
g ma_rent_index_`var'_norm = ma_rent_index_`var'/norm_index_`var'

}

label var ma_mean_rent_vest_norm  "West"
label var ma_mean_rent_ost_norm  "East"

label var ma_mean_rent_fs_u_ab_norm  "Frogner and City Centre, excl. Vika-Aker Brygge"
label var ma_mean_rent_ab_norm  "Vika-Aker Brygge"
label var ma_mean_rent_u_ab_norm  "Oslo excl. Frogner and City Centre"

label var ma_rent_index_fs_u_ab_norm  "Frogner-City Centre, excl. Vika and Aker Brygge"
label var ma_rent_index_ab_norm  "Vika and Aker Brygge"
label var ma_rent_index_u_ab_norm  "Oslo excl. Frogner and City Centre"

label var ma_rent_index_vest_norm  "West"
label var ma_rent_index_ost_norm  "East"

keep if contract_start_quarter_year >= 180
cd "$outputFigures"
line (ma_mean_rent_ab_norm ma_mean_rent_fs_u_ab_norm ma_mean_rent_u_ab_norm) contract_start_quarter_year , lcolor(red black blue) lpattern(dash solid dash) legend(col(3) region(lstyle(none))) xtitle("")  xla(180 196 212 228)
graph export Mean_ab_vs_uab.pdf, replace

line (ma_mean_rent_vest_norm ma_mean_rent_ost_norm) contract_start_quarter_year , lcolor(red black) lpattern(dash solid) legend(col(3) region(lstyle(none))) xtitle("")  xla(180 196 212 228)
graph export Mean_vest_vs_ost.pdf, replace

line (ma_rent_index_ab_norm ma_rent_index_fs_u_ab_norm ma_rent_index_u_ab_norm) contract_start_quarter_year , lcolor(red black blue) lpattern(dash solid dash) legend(col(1) region(lstyle(none))) xtitle("")  xla(180 196 212 228) yla(1(0.2)2)
graph export Indices_ab_vs_uab.pdf, replace

line (ma_rent_index_vest_norm ma_rent_index_ost_norm) contract_start_quarter_year , lcolor(red black) lpattern(dash solid) legend(col(3) region(lstyle(none))) xtitle("")  xla(180 196 212 228)
graph export Indices_vest_vs_ost.pdf, replace


