****** Written by Marius Hagen and André Anundsen
****** The code comapres hedonic indices with different controla variables againts eachother and against the mean index. The motivation is to understand what the sources of differences between mean and hedonic indices are
cd "$dataPath"
clear all
use MeanMedian
merge 1:1 contract_start_quarter_year using hedonic_alternatives
drop _merge 

foreach var in all  {
sum  ma_mean_rent_`var' if contract_start_quarter_year == 180, meanonly
scalar norm_mean_`var' = r(mean)
g ma_mean_rent_`var'_norm = ma_mean_rent_`var'/norm_mean_`var'

sum  ma_median_rent_`var' if contract_start_quarter_year == 180, meanonly
scalar norm_median_`var' = r(mean)
g ma_median_rent_`var'_norm = ma_median_rent_`var'/norm_median_`var'

foreach category in baseline wo_bld_fe wo_zip_fe {
sum  ma_rent_index_`category'_`var' if contract_start_quarter_year == 180, meanonly
scalar norm_rent_index_`category'_`var' = r(mean)
g ma_rent_index_`category'_`var'_norm = ma_rent_index_`category'_`var'/norm_rent_index_`category'_`var'
}

label var ma_mean_rent_`var'_norm "Mean"
label var ma_median_rent_`var'_norm "Median"
label var ma_rent_index_baseline_`var'_norm  "Hedonic"
label var ma_rent_index_wo_bld_fe_`var'_norm  "Hed. without building-FE"
label var ma_rent_index_wo_zip_fe_`var'_norm  "Hed. without building- & ZIP-FE"

keep if contract_start_quarter_year >= 180
cd "$outputFigures"
line (ma_mean_rent_`var'_norm ma_rent_index_baseline_`var'_norm) contract_start_quarter_year , lcolor(red black) lpattern(longdash solid) legend(col(2) region(lstyle(none))) xtitle("")  xla(180 196 212 228)
graph export MeanVersusIndex1_`var'.pdf, replace

line (ma_mean_rent_`var'_norm ma_rent_index_baseline_`var'_norm ma_rent_index_wo_bld_fe_`var'_norm) contract_start_quarter_year , lcolor(red black blue) lpattern(longdash solid dot) legend(col(2) region(lstyle(none)))xtitle("")  xla(180 196 212 228)
graph export MeanVersusIndex2_`var'.pdf, replace

line (ma_mean_rent_`var'_norm ma_rent_index_baseline_`var'_norm ma_rent_index_wo_bld_fe_`var'_norm ma_rent_index_wo_zip_fe_`var'_norm) contract_start_quarter_year , lcolor(red black blue green) lpattern(longdash solid dot dash) legend(col(2) region(lstyle(none))) xtitle("")  xla(180 196 212 228)
graph export MeanVersusIndex3_`var'.pdf, replace
}




