****** Written by Marius Hagen and André Anundsen
****** The code plots median, mean and hedonic indices (normalized to be 1 in 2005q1) for different geographical segments of the Oslo market
cd "$dataPath"
clear all
use MeanMedian
merge 1:1 contract_start_quarter_year using hedonic
drop _merge 
foreach var in all ab fs_u_ab u_ab vest ost {
sum  ma_mean_rent_`var' if contract_start_quarter_year == 180, meanonly
scalar norm_mean_`var' = r(mean)
g ma_mean_rent_`var'_norm = ma_mean_rent_`var'/norm_mean_`var'

sum  ma_median_rent_`var' if contract_start_quarter_year == 180, meanonly
scalar norm_median_`var' = r(mean)
g ma_median_rent_`var'_norm = ma_median_rent_`var'/norm_median_`var'

sum  ma_rent_index_`var' if contract_start_quarter_year == 180, meanonly
scalar norm_index_`var' = r(mean)
g ma_rent_index_`var'_norm = ma_rent_index_`var'/norm_index_`var'

label var ma_mean_rent_`var'_norm "Mean"
label var ma_median_rent_`var'_norm "Median"
label var ma_rent_index_`var'_norm "Hedonic"

keep if contract_start_quarter_year >= 180
cd "$outputFigures"
line (ma_mean_rent_`var'_norm ma_median_rent_`var'_norm ma_rent_index_`var'_norm) contract_start_quarter_year , lcolor(red blue black) lpattern(dash longdash solid) legend(col(3) region(lstyle(none))) xla(180 196 212 228) xtitle("")
graph export MeanMedianHedonicIndices_`var'.pdf, replace
}


